<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Paul Ries & Sons - Collision and Auto Body Repair Services</title>
    <meta name="description" content="Collision Repair Center in Chicago"
    <meta name="keywords" content="Chicago, Illinios, Collision Repair, Collision Shop, Body Shop, Paint Shop">
    <meta name="robots" content="index, follow">
    <meta name="googlebot" content="index, follow"
    <meta name="author" content="Paul Ries & Sons">
    
    <!--Favicons-->
    <link rel="apple-touch-icon" sizes="57x57" href="favicon/apple-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="favicon/apple-icon-60x60.png">
    <link rel="apple-touch-icon" sizes="72x72" href="favicon/apple-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="76x76" href="favicon/apple-icon-76x76.png">
    <link rel="apple-touch-icon" sizes="114x114" href="favicon/apple-icon-114x114.png">
    <link rel="apple-touch-icon" sizes="120x120" href="favicon/apple-icon-120x120.png">
    <link rel="apple-touch-icon" sizes="144x144" href="favicon/apple-icon-144x144.png">
    <link rel="apple-touch-icon" sizes="152x152" href="favicon/apple-icon-152x152.png">
    <link rel="apple-touch-icon" sizes="180x180" href="favicon/apple-icon-180x180.png">
    <link rel="icon" type="image/png" sizes="192x192"  href="favicon/android-icon-192x192.png">
    <link rel="icon" type="image/png" sizes="32x32" href="favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="96x96" href="favicon/favicon-96x96.png">
    <link rel="icon" type="image/png" sizes="16x16" href="favicon/favicon-16x16.png">
    <link rel="manifest" href="favicon/manifest.json">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="favicon/ms-icon-144x144.png">
    <meta name="theme-color" content="#ffffff">
    
    <!--Bootstrap and Other Vendors-->
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/bootstrap-theme.min.css">
    <link rel="stylesheet" href="css/font-awesome.min.css">
    <link rel="stylesheet" href="vendors/owl.carousel/css/owl.carousel.css">
    <link rel="stylesheet" type="text/css" href="vendors/js-flickr-gallery/css/js-flickr-gallery.css" media="screen" />
    <link rel="stylesheet" type="text/css" href="vendors/lightbox/css/lightbox.css" media="screen" />
    <link rel="stylesheet" type="text/css" href="vendors/flexslider/flexslider.css" media="screen" />
    
    <!--Fonts-->
    <link href='http://fonts.googleapis.com/css?family=Roboto:400,100,100italic,300,300italic,400italic,500,500italic,700,700italic,900,900italic|Raleway:400,100,200,300,500,600,700,800,900|Comfortaa:400,300,700|Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800' rel='stylesheet' type='text/css'>
    
    <!--Mechanic Styles-->
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="css/responsive.css">
    
    <!--[if lt IE 9]>
      <script src="js/html5shiv.min.js"></script>
      <script src="js/respond.min.js"></script>
    <![endif]-->
</head>
<body> 
    
    <header class="row">        
        <div class="container">
            <div class="row logo_line">
                <div class="fleft logo"><a href="https://www.paulries.com"><img src="images/PaulRies_Logo.png" alt="PaulRiesLogo"></a></div>
                <div class="fright pre_contact hide-phone">
                    <ul class="list-inline">
                        <li><a href="mailto:contact@paulries.com"><span><i class="fa fa-envelope-o"></i></span>contact@paulries.com</a></li>
                        <li><a href="tel:(773) 227-8300"><span><i class="fa fa-phone"></i></span>(773) 227-8300</a></li>
                    </ul>
                </div>
            </div> <!--Logo Line-->
        </div>
        <div class="row m0 navigationRow">
            <div class="container">
                <nav class="navbar navbar-default navbar-static-top row">
                    <div class="container-fluid">
                        <!-- Brand and toggle get grouped for better mobile display -->
                        <div class="navbar-header">
                            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#mainNav">
                                <i class="fa fa-bars"></i> Menu
                            </button>
                        </div>

                        <!-- Collect the nav links, forms, and other content for toggling -->
                        <div class="collapse navbar-collapse" id="mainNav">
                            <ul class="nav navbar-nav">
                                <li><a href="https://www.paulries.com">home</a></li>
                                <li><a href="https://www.paulries.com/services">services</a></li>
                                <li><a href="https://www.paulries.com/about">about us</a></li>
                                <li><a href="https://www.paulries.com/careers">careers</a></li>
                                <li><a href="https://www.paulries.com/services">we're green</a></li>
                                <li><a href="https://www.paulries.com/contact">contact</a></li>
                                <!--<li class="dropdown">
                                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">news</a>
                                    <!--<ul class="dropdown-menu" role="menu">

                                    </ul>
                                </li>-->
                                    <!--<li><a href="appointment">appointment</a></li>-->
                            </ul>
                        </div><!-- /.navbar-collapse -->
                    </div><!-- /.container-fluid -->
                </nav> <!--Navbar-->
            </div>
        </div> <!--Container-->
    </header> <!--Header-->
    
    <section id="pageTitle" class="row" style="background: url(../images/slider/get-your-quote.jpg) no-repeat scroll center top #d8d8d8; background-size: cover;">
        <div class="row m0 breadcrumbRow">
            <ul class="list-inline">
                <li><a href="index.html">home</a></li>
                <li><i class="fa fa-arrow-circle-right"></i> Get Your Quote</li>
            </ul>
        </div>
    </section> <!--Page Title-->
    
    <section id="galleryDetails" class="row contentSection">
        <div class="container">
            <div class="row m_30">
				 <div class="col-sm-4 sidebar">

						<div class="row sectionTitle">
                        	<h4><i class="fa fa-paper-plane-o"></i> Get Your Quote</h4>
                    	</div> <!--Section Title-->

						<div class="commentForm">

							<div class="contact-form-result"></div>

							<form action="include/quote.php" id="template-jobform" name="template-jobform" method="post" role="form" enctype="multipart/form-data">

								<div class="form-process"></div>

								<!--<div class="input-group">
									<span class="input-group-addon"><i class="fa fa-user"></i></span>
									<input type="text" class="form-control" name="name" id="name"  placeholder="Name">
								</div>-->                        
                        		<div class="row m0">
									<div class="input-group">
										<span class="input-group-addon"><i class="fa fa-user"></i></span>
										<input type="text" id="template-jobform-fname" name="template-jobform-fname" value="" class="form-control required" placeholder="Full Name" />
									</div>

									<div class="input-group">
										<span class="input-group-addon"><i class="fa fa-mobile-phone"></i></span>
										<input type="tel" id="template-jobform-phone" name="template-jobform-phone" value="" class="form-control required" placeholder="Phone #" />
									</div>

									<div class="input-group">
										<span class="input-group-addon"><i class="fa fa-envelope"></i></span>
										<input type="email" id="template-jobform-email" name="template-jobform-email" value="" class="email form-control" placeholder="Email" />
									</div>

									<div class="input-group">
										<span class="input-group-addon"><i class="fa fa-car"></i></span>
										<input type="text" id="template-jobform-make" name="template-jobform-make" value="" class="form-control" placeholder="Make" />
									</div>

									<div class="input-group">
										<span class="input-group-addon"><i class="fa fa-car"></i></span>
										<input type="text" id="template-jobform-model" name="template-jobform-model" value="" class="form-control" placeholder="Model" />
									</div>

									<div class="input-group">
										<span class="input-group-addon"><i class="fa fa-car"></i></span>
										<input type="text" id="template-jobform-year" name="template-jobform-year" value="" class="email form-control" placeholder="Year" />
									</div>

									<!--<div class="col_full">
									<label for="template-jobform-service">Position <small>*</small></label>
										<select name="template-jobform-position" id="template-jobform-position"  tabindex="9" class="sm-form-control required">
											<option value="">-- Select Position --</option>
											<option value="Paid Ads Specialist">Paid Ads Specialist</option>
											<option value="Account Manager">Account Manager</option>
											<option value="Back-End Developer">Back-End Developer</option> 
											<option value="Content Writer">Content Writer</option>
											<option value="Front-End Developer">Front-End Developer</option><option value="iOS Developer">iOS Developer</option>
											<option value="Social Media Intern">Social Media Intern</option>
										</select>
									</div>-->

									<div class="input-group">
										<label for="template-jobform-cvfile">Upload <small>*</small></label>
										<input type="file" id="template-jobform-cvfile" name="template-jobform-cvfile" value="" class="required form-control" />
									</div>

									<div class="input-group">
										<label for="template-jobform-cvfiletwo">Upload <small>*</small></label>
										<input type="file" id="template-jobform-cvfiletwo" name="template-jobform-cvfiletwo" value="" class="required form-control" />
									</div>

									<!--<div class="input-group">
										<label for="template-jobform-cvfilethree">Upload <small>*</small></label>
										<input type="file" id="template-jobform-cvfilethree" name="template-jobform-cvfilethree" value="" class="required form-control" />
									</div>-->

									<div class="col_full hidden">
										<input type="text" id="template-jobform-botcheck" name="template-jobform-botcheck" value="" class="sm-form-control" />
									</div>

									<div class="col_full">
										<button class="button button-3d button-large btn-block nomargin" name="template-jobform-apply" type="submit" value="apply">Send Message</button>
									</div>
									
								</div>

							</form>

						</div>
				
                </div>
                <div class="col-sm-8">
                    <div class="row m0">
                        <!--<div class="row galleryImg m0">
                           <img src="images/gallery/gallery-details.jpg" alt="" class="img-responsive">
                        </div>-->
                        <h3>Full Car Service</h3>
                        <p>Whether it’s time for your next factory recommended maintenance visit, a routine oil change, new tires, or repair services on your brakes, muffler and exhaust, suspension, air conditioner, or any other mechanical or electrical component of your car, Midas is in your neighborhood and ready to serve you.consequat auctor eu in elit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Mauris in erat justo. <br><br>

Nullam ac urna eu felis dapibus condimentum sit amet a augue. Sed non neque elit. Sed ut imperdiet nisi. Proin condimentum fermentum nunc. Etiam pharetra, erat sed fermentum feugiat, velit mauris egestas quam, ut aliquam massa nisl quis neque. Suspendisse in orci enim.</p>
                    </div>
                </div>
               
            </div>                        
        </div>
    </section> <!--Blog Posts-->

    <footer class="row">
        <div class="container">
            <!--<div class="row widget twitterSlide">
                <h4 class="widgetTitle">Latest Tweets</h4>
                <div>
                    <a class="twitter-timeline"
                       data-widget-id="605228762033213442"
                       href="https://twitter.com/paulriesandsons"
                       data-tweet-limit=4">
                        Tweets by @paulriesandsons
                    </a>
                    <div class="tweets_feed"></div>
                </div>
            </div>-->
            <div class="row m_30">
                <div class="col-sm-4 widget recentPostWidget">
                    <div class="row m0 widgetInner">
                        <h4 class="widgetTitle">For More Information</h4>
                        <ul class="nav">
                            <li class="active"><a href="https://www.paulries.com">Home</a></li>
                            <li><a href="https://www.paulries.com/services">Services</a></li>
                            <li><a href="https://www.paulries.com/about">About Us</a></li>
                            <li><a href="https://www.paulries.com/careers">Careers</a></li>
                            <!--<li><a href="services.html">We're Green</a></li>-->
                            <li><a href="https://www.paulries.com/services">Questions</a></li>
                            <li><a href="https://www.paulries.com/contact">Contact Us</a></li>
                            <li><a href="https://www.paulries.com/">News</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-sm-4 widget aboutWidget">
                    <div class="row m0 widgetInner">
                        <a href="https://www.paulries.com"><img src="images/PaulRies_Logo.png" alt=""></a>
                        <p>Paul Ries and Sons does not want to keep up with the industry, we want to set the standard for it.</p><br>
                        <p>Paul Ries and Sons wants you to know that if you are not completely satisfied with your vehicles repair or our service please let me know. We want every Customer to leave us 100% completely satisfied.   </p>
                    </div>
                </div>
                <div class="col-sm-4 widget oppeningHoursWidget">
                    <div class="row m0 widgetInner">
                        <h4 class="widgetTitle">Opening Hours</h4>
                        <ul class="nav">
                            <li>Monday to Friday</li>
                            <li>7:30 AM to 5:00 PM</li>
                            <li>Saturday</li>
                            <li>8:00 AM to 12:00 PM</li>
                            <li>Sunday</li>
                            <li>CLOSED</li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="copyrightRow row">
                <div class="col-sm-5 copyright">© 2015 <a href="index">Paul Ries & Sons</a>  All Rights Reserved.</div>
                <div class="col-sm-2 goTop"><a href="#top"><i class="fa fa-angle-up"></i></a></div>
                <div class="col-sm-5 footSocial">
                    <ul class="nav nav-pills fright">
                        <li><a href="https://instagram.com/paulriesandsons"><i class="fa fa-instagram"></i></i></a></li>
                        <li><a href="https://www.yelp.com/biz/paul-ries-and-sons-chicago"><i class="fa fa-yelp"></i></a></li>
                        <li><a href="https://twitter.com/paulriesandsons"><i class="fa fa-twitter"></i></a></li>
                        <li><a href="https://www.facebook.com/pages/Paul-Ries-and-Sons/857286311003291?fref=ts"><i class="fa fa-facebook"></i></a></li>
                    </ul>
                </div>
            </div>
        </div>
    </footer> <!--Footer-->

    <script>
        (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
            (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
                m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
        })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

        ga('create', 'UA-56071940-4', 'auto');
        ga('send', 'pageview');

    </script>

    <!--jQuery, Bootstrap and other vendor JS-->
    
    <!--jQuery-->
    <script src="js/jquery-2.1.3.min.js"></script>
    
    <!--Google Maps-->
    <script src="https://maps.googleapis.com/maps/api/js"></script>
    
    <!--Bootstrap JS-->
    <script src="js/bootstrap.min.js"></script>
    
    <!--Nice Scroll-->
    <script src="vendors/nicescroll/jquery.nicescroll.js"></script>
        
    <!--Flickr-->
    <script src="vendors/js-flickr-gallery/js/js-flickr-gallery.min.js"></script>
    
    <!--Lightshot-->
    <script src="vendors/lightbox/js/lightbox.min.js"></script>
    
    <!--Tweets-->
    <script src="vendors/tweet/scripts.js"></script>
    <script src="vendors/tweet/tweetie.min.js"></script>
    
    <!--Counter Up-->
    <script src="vendors/waypoints/waypoints.min.js"></script>
    <script src="vendors/counterup/jquery.counterup.min.js"></script>
    
    <!--Owl Carousel-->
    <script src="vendors/owl.carousel/js/owl.carousel.min.js"></script>
    
    <!--Isotope-->
    <script src="vendors/isotope/isotope-custom.js"></script>
    
    <!--FlexSlider-->
    <script src="vendors/flexslider/jquery.flexslider-min.js"></script>
    
    <!--Strella JS-->
    <script src="js/mechanic.js"></script>

	<!-- External JavaScripts
	============================================= -->
	<script type="text/javascript" src="js/jquery.js"></script>
	<script type="text/javascript" src="js/plugins.js"></script>

	<!-- Footer Scripts
	============================================= -->
	<script type="text/javascript" src="js/functions.js"></script>
</body>
</html>