<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" />
	
	<meta property="og:locale" content="en_US" />
	<meta property="og:title" content="Paul Ries">
	<meta property="og:type" content="website">
	<meta property="og:url" content="http://paulries.com/">
	<meta property="og:image" content="">
	<meta property="og:site_name" content="Paul Ries">
	<meta property="fb:pages" content=""/>   
	<meta property="twitter:site" content="">
	<meta name="twitter:creator" content=""/>
	
    <!-- Document Title
	============================================= -->
	<title><?php echo $pageTitle; ?></title>
	<meta name="description" content="<?php echo $pageDesc; ?>">
	<meta name="keywords" content="<?php echo $pageKeywords; ?>">
	
	<meta name="robots" content="index, follow">
    <meta name="googlebot" content="index, follow">
    <meta name="author" content="Paul Ries & Sons">
    
    <!-- No Follow Variable -->
	<?php if( $noFollow == "yes" ) { ?>
    <meta name="robots" content="noindex, nofollow" />
    <?php ;} ?>
	
    <!--Favicons-->
    <link rel="apple-touch-icon" sizes="57x57" href="<?php echo $webPath; ?>favicon/apple-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="<?php echo $webPath; ?>favicon/apple-icon-60x60.png">
    <link rel="apple-touch-icon" sizes="72x72" href="<?php echo $webPath; ?>favicon/apple-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="76x76" href="<?php echo $webPath; ?>favicon/apple-icon-76x76.png">
    <link rel="apple-touch-icon" sizes="114x114" href="<?php echo $webPath; ?>favicon/apple-icon-114x114.png">
    <link rel="apple-touch-icon" sizes="120x120" href="<?php echo $webPath; ?>favicon/apple-icon-120x120.png">
    <link rel="apple-touch-icon" sizes="144x144" href="<?php echo $webPath; ?>favicon/apple-icon-144x144.png">
    <link rel="apple-touch-icon" sizes="152x152" href="<?php echo $webPath; ?>favicon/apple-icon-152x152.png">
    <link rel="apple-touch-icon" sizes="180x180" href="<?php echo $webPath; ?>favicon/apple-icon-180x180.png">
    <link rel="icon" type="image/png" sizes="192x192"  href="<?php echo $webPath; ?>favicon/android-icon-192x192.png">
    <link rel="icon" type="image/png" sizes="32x32" href="<?php echo $webPath; ?>favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="96x96" href="<?php echo $webPath; ?>favicon/favicon-96x96.png">
    <link rel="icon" type="image/png" sizes="16x16" href="<?php echo $webPath; ?>favicon/favicon-16x16.png">
    <link rel="manifest" href="<?php echo $webPath; ?>favicon/manifest.json">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="<?php echo $webPath; ?>favicon/ms-icon-144x144.png">
    <meta name="theme-color" content="#ffffff">
    
    <!--Bootstrap and Other Vendors-->
    <link rel="stylesheet" href="<?php echo $webPath; ?>css/bootstrap.min.css">
    <link rel="stylesheet" href="<?php echo $webPath; ?>css/bootstrap-theme.min.css">
    <link rel="stylesheet" href="<?php echo $webPath; ?>css/font-awesome.min.css">
    <link rel="stylesheet" href="<?php echo $webPath; ?>vendors/owl.carousel/css/owl.carousel.css">
    <link rel="stylesheet" type="text/css" href="<?php echo $webPath; ?>vendors/js-flickr-gallery/css/js-flickr-gallery.css" media="screen" />
    <link rel="stylesheet" type="text/css" href="<?php echo $webPath; ?>vendors/lightbox/css/lightbox.css" media="screen" />
    <link rel="stylesheet" type="text/css" href="<?php echo $webPath; ?>vendors/flexslider/flexslider.css" media="screen" />
    
    <!--Fonts-->
    <link href='http://fonts.googleapis.com/css?family=Roboto:400,100,100italic,300,300italic,400italic,500,500italic,700,700italic,900,900italic|Raleway:400,100,200,300,500,600,700,800,900|Comfortaa:400,300,700|Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800' rel='stylesheet' type='text/css'>
    
    <!--Mechanic Styles-->
    <link rel="stylesheet" href="<?php echo $webPath; ?>css/style.css">
    <link rel="stylesheet" href="<?php echo $webPath; ?>css/responsive.css">
    
    <!--[if lt IE 9]>
      <script src="js/html5shiv.min.js"></script>
      <script src="js/respond.min.js"></script>
    <![endif]-->
</head>
<body> 
    
    <header class="row">        
        <div class="container">
            <div class="row logo_line">
                <div class="fleft logo"><a href="<?php echo $webPath; ?>"><img src="<?php echo $imgPath; ?>Paulries_logo_light.png" alt="PaulRiesLogo"></a></div>
                <div class="fright pre_contact hide-phone">
                <ul class="list-inline headlst">
						<li><a href="tel:(773) 227-8300">Logan Square: (773) 227-8300</a> </li>
						<li><a href="tel:13126376740">West Town: (312) 637-6740</a></li>
                    </ul>
                    <ul class="list-inline">
						<li><a href="mailto:info@paulries.com">info@paulries.com</a></li>
                        <li><a href="mailto:westtown-info@paulries.com">westtown-info@paulries.com</a></li>
                    </ul>
                </div>
            </div> <!--Logo Line-->
        </div>
        <div class="row m0 navigationRow">
            <div class="container">
                <nav class="navbar navbar-default navbar-static-top row">
                    <div class="container-fluid">
                        <!-- Brand and toggle get grouped for better mobile display -->
                        <div class="navbar-header">
                            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#mainNav">
                                <i class="fa fa-bars"></i> Menu
                            </button>
                        </div>

                        <!-- Collect the nav links, forms, and other content for toggling -->
                        <div class="collapse navbar-collapse" id="mainNav">
                            <ul class="nav navbar-nav">
                                <li><a href="<?php echo $webPath; ?>">home</a></li>
                                <li><a href="<?php echo $webPath; ?>services">services</a></li>
                                <li><a href="<?php echo $webPath; ?>about">about us</a></li>
                                <li><a href="<?php echo $webPath; ?>careers">careers</a></li>
								<li><a href="https://www.carwise.com/online-photo-estimate/paul-ries-and-sons-ii-chicago-il-60612/558921?source=shop.profile">get a quote</a></li>
                                <li><a href="<?php echo $webPath; ?>contact">contact</a></li>
                                <!--<li class="dropdown">
                                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">news</a>
                                    <!--<ul class="dropdown-menu" role="menu">

                                    </ul>
                                </li>-->
                                    <!--<li><a href="appointment.html">appointment</a></li>-->
                            </ul>
                        </div><!-- /.navbar-collapse -->
                    </div><!-- /.container-fluid -->
                </nav> <!--Navbar-->
            </div>
        </div> <!--Container-->
    </header> <!--Header-->